%define name fwf-devel
%define version 4.0
%define release 1mdk

Summary:	Free Widget Foundation Widget Set
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Development/Other
Copyright:	Freely Redistributable
Source:		fwf-%{version}.tar.bz2
Patch:		fwf-%{version}-str2color.patch.bz2
Prefix:		/usr/X11R6
Buildroot:	/var/tmp/%{name}-buildroot

%description
This is the Free Widget Foundation widget release, a collection of no-cost,
freely redistributable X graphical user interface widgets.
The Free Widget Foundation (FWF) project began in 1990 as an international,
volunteer effort to collect freely-redistributable graphical user-interface
modules (widgets) for the X Window System. Over time, we have built a
library of widgets ranging from simple to complex, and serving a wide range
of applications.

%prep
%setup -n FWF -q
%patch

%build
xmkmf
make Makefiles
make CDEBUGFLAGS="${RPM_OPT_FLAGS}"

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/include
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man3
make install DESTDIR=${RPM_BUILD_ROOT} USRLIBDIR=${RPM_BUILD_ROOT}/usr/X11R6/lib INCROOT=/usr/X11R6/include BINDIR=/usr/X11R6/bin
make install.man DESTDIR=${RPM_BUILD_ROOT} MANPATH=/usr/X11R6/man
for file in ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/*
do
	if echo $file | grep -q -v -e 'T.1x$'
	then
		file=`basename $file .1x`
		if [ $file = 'fwf' ]
		then
			sed -e 's#"1"#"3X11"#' ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/$file.1x > ${RPM_BUILD_ROOT}/usr/X11R6/man/man3/$file.3x
		else
			sed -e 's#"1"#"3X11"#' ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/$file.1x > ${RPM_BUILD_ROOT}/usr/X11R6/man/man3/$file.3x
		fi
		rm -f ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/$file.1x
	fi
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc README README.FWF README.INDEX README.NOTES README.TODO README.SUBMISSION BUGREPORT SURVEY VERSION
%doc /usr/X11R6/man/man3
/usr/X11R6/include/Xfwf
/usr/X11R6/lib

%changelog
* Tue May 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.0-1mdk
- fix group
- bzip2 sources and patches

* Wed Nov 17 1999 Dimitri Papadopoulos <dpo@club-internet.fr>
  [4.0-3]
- Patch to remove an assertion failing on Solaris.
- Force CDEBUGFLAGS compiler flag to standard RPM_OPT_FLAGS.

* Sun Nov 04 1999 Dimitri Papadopoulos <dpo@club-internet.fr>
  [4.0-2]
- Modified description.
- Changed group from Development/Libraries to X11/Libraries.
- Removed obsolete url section.
- Added /usr/X11R6 prefix.
- Modified install section.
- Added man pages to package.

* Sun Jan 25 1998 ???
  [4.0-1]
- Previously not commented package.
